OGRE-Next: Ogre::SDLWindow Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::SDLWindow Class Reference

`#include <OgreSDLWindow.h>`

Inheritance diagram for Ogre::SDLWindow:
[legend]

## Public Member Functions
| SDLWindow ()
| ~SDLWindow ()
void | copyContentsToMemory (const Box &src, const PixelBox &dst, FrameBuffer buffer)
| Overridden - see RenderTarget.
void | create (const String &name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams)
void | destroy ()
| Overridden - see RenderWindow.
void | getCustomAttribute (const String &name, void *pData)
| Overridden - see RenderTarget.
bool | isActive () const
| Overridden - see RenderWindow.
bool | isClosed () const
| Overridden - see RenderWindow.
bool | isFullScreen () const
bool | isVSyncEnabled () const
void | reposition (int left, int top)
| Overridden - see RenderWindow.
bool | requiresTextureFlipping () const
void | resize (unsigned int width, unsigned int height)
| Overridden - see RenderWindow.
void | setVSyncEnabled (bool vsync)
void | swapBuffers ()
| Overridden - see RenderWindow.

## Constructor & Destructor Documentation

## ◆ SDLWindow()

Ogre::SDLWindow::SDLWindow | ( |  | ) |

## ◆ ~SDLWindow()

Ogre::SDLWindow::~SDLWindow | ( |  | ) |

## Member Function Documentation

## ◆ copyContentsToMemory()

void Ogre::SDLWindow::copyContentsToMemory | ( | const Box & | src,
|  | const PixelBox & | dst,
|  | FrameBuffer | buffer )

Overridden - see RenderTarget.

## ◆ create()

void Ogre::SDLWindow::create | ( | const String & | name,
|  | unsigned int | width,
|  | unsigned int | height,
|  | bool | fullScreen,
|  | const NameValuePairList * | miscParams )

## ◆ destroy()

void Ogre::SDLWindow::destroy | ( |  | ) |

Overridden - see RenderWindow.

## ◆ getCustomAttribute()

void Ogre::SDLWindow::getCustomAttribute | ( | const String & | name,
|  | void * | pData )
| inline

Overridden - see RenderTarget.

## ◆ isActive()

bool Ogre::SDLWindow::isActive | ( |  | ) | const

Overridden - see RenderWindow.

## ◆ isClosed()

bool Ogre::SDLWindow::isClosed | ( |  | ) | const

Overridden - see RenderWindow.

## ◆ isFullScreen()

bool Ogre::SDLWindow::isFullScreen | ( |  | ) | const
| inline

## ◆ isVSyncEnabled()

bool Ogre::SDLWindow::isVSyncEnabled | ( |  | ) | const

## ◆ reposition()

void Ogre::SDLWindow::reposition | ( | int | left,
|  | int | top )

Overridden - see RenderWindow.

## ◆ requiresTextureFlipping()

bool Ogre::SDLWindow::requiresTextureFlipping | ( |  | ) | const
| inline

## ◆ resize()

void Ogre::SDLWindow::resize | ( | unsigned int | width,
|  | unsigned int | height )

Overridden - see RenderWindow.

## ◆ setVSyncEnabled()

void Ogre::SDLWindow::setVSyncEnabled | ( | bool | vsync | ) |

## ◆ swapBuffers()

void Ogre::SDLWindow::swapBuffers | ( |  | ) |

Overridden - see RenderWindow.

The documentation for this class was generated from the following file:

- OgreSDLWindow.h